# Class Time

java.lang.Object
org.apache.tomcat.jni.Time

@Deprecated public class Time extends Object
Deprecated.
The scope of the APR/Native Library will be reduced in Tomcat 9.1.x / Tomcat Native 2.x and has been reduced in Tomcat 10.1.x / Tomcat Native 2.x onwards to only include those components required to provide OpenSSL integration with the NIO and NIO2 connectors.
Time.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`APR_MSEC_PER_USEC`
Deprecated.
number of milliseconds per microsecond
`static final long`
`APR_USEC_PER_SEC`
Deprecated.
number of microseconds per second

## Constructor Summary

Constructors
Constructor
Description
`Time()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`static String`
`ctime(long t)`
Deprecated.
Formats dates in the ctime() format in an efficient manner.
`static long`
`msec(long t)`
Deprecated.
`static long`
`now()`
Deprecated.
number of microseconds since 00:00:00 January 1, 1970 UTC
`static String`
`rfc822(long t)`
Deprecated.
Formats dates in the RFC822 format in an efficient manner.
`static long`
`sec(long t)`
Deprecated.
`static void`
`sleep(long t)`
Deprecated.
Sleep for the specified number of micro-seconds.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### APR_USEC_PER_SEC

public static final long APR_USEC_PER_SEC
Deprecated.
number of microseconds per second

See Also:
  - Constant Field Values

### APR_MSEC_PER_USEC

public static final long APR_MSEC_PER_USEC
Deprecated.
number of milliseconds per microsecond

See Also:
  - Constant Field Values

## Constructor Details

### Time

public Time()
Deprecated.

## Method Details

### sec

public static long sec(long t)
Deprecated.

Parameters:
  `t` - The time
Returns:
  apr_time_t as a second

### msec

public static long msec(long t)
Deprecated.

Parameters:
  `t` - The time
Returns:
  apr_time_t as a msec

### now

public static long now()
Deprecated.
number of microseconds since 00:00:00 January 1, 1970 UTC

Returns:
  the current time

### rfc822

public static String rfc822(long t)
Deprecated.
Formats dates in the RFC822 format in an efficient manner.

Parameters:
  `t` - the time to convert
Returns:
  the formatted date

### ctime

public static String ctime(long t)
Deprecated.
Formats dates in the ctime() format in an efficient manner. Unlike ANSI/ISO C ctime(), apr_ctime() does not include a \n at the end of the string.

Parameters:
  `t` - the time to convert
Returns:
  the formatted date

### sleep

public static void sleep(long t)
Deprecated.
Sleep for the specified number of micro-seconds.
Warning : May sleep for longer than the specified time.

Parameters:
  `t` - desired amount of time to sleep.